Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 06-03-2021 11:32:37

Tawal
Membre
Distrib. : Debian 10 Buster
Noyau : Linux 4.19.0-16-amd64
(G)UI : Xfce4
Inscription : 25-02-2021

[Résolu]Xfce4-weather-plugin ne fonctionne plus (+Palliatif via Conky)

Hello,

Absent pendant 3 jours, je reviens et boum "Aucunes Données" dans mon greffon météo.

Ma version utilisée et la 10.1-1 , installée manuellement car non disponible dans les dépôts pour Buster stable.
Et parce que la version 8.10-1 pour Buster stable ne fonctionnait pas (pas de données météo).
Jusque là, la version 10.1-1 fonctionnait très bien.

J'essaie de changer de ville pour voir mais pareil ==> pas de données météo.

Je désinstalle donc la version 10.1-1 pour revenir à la version 8.10-1 qui est celle disponible dans les dépôts pour Buster stable.
Je relance le greffon (en version 8.10-1) et j'obtiens ce message en popup :

Le greffon « Mise à jour météo » a quitté le tableau de bord de manière inattendue. Voulez-vous le redémarrer ?

Le greffon a redémarré plusieurs fois au cours des 60 dernières secondes. Si vous cliquez sur « Exécuter », le tableau de bord essaiera de redémarrer le greffon, sinon il sera définitivement supprimé du tableau de bord.

alors qu'avant cette version lançait bien le greffon !

Je réinstalle la version 10.1-1 avec cette commande :

sudo dpkg -i xfce4-weather-plugin_0.10.1-1~obs_amd64.deb


(Lecture de la base de données... 286424 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de xfce4-weather-plugin_0.10.1-1~obs_amd64.deb ...
Dépaquetage de xfce4-weather-plugin (0.10.1-1~obs) sur (0.8.10-1) ...
Paramétrage de xfce4-weather-plugin (0.10.1-1~obs) ...
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.17-2) ...
 

Installation réussie.
Relancement du plugin et toujours pas de données météo !

Je cherche et trouve une version 0.11.1 ici : http://la.mxrepo.com/mx/repo/pool/main/ … er-plugin/
Je tente l'installation mais il y des erreurs de dépendances concernant le paquet xfce4-panel.
Je reviens en arrière sur la version 10.1-1 (la plus fonctionnelle à l'instant : greffon lancé mais pas de données météo).

Si quelqu'un a une idée pour régler ce souci, je le remercie par avance.

EDIT: Je regarde pour mettre en place un palliatif vu que j’utilise déjà conky : [Astuce] Afficher la météo dans son terminal

EDIT2: Solution palliative mise en place dans le conky (mise en forme personnelle) : XXXXXX à remplacer par le lieu souhaité.

${goto 55}${texeci 500 wget --quiet -O - "http://wttr.in/XXXXXX?format=%C+%t&lang=Fr"}
${goto 55}${texeci 500 wget --quiet -O - "http://wttr.in/XXXXXX?format=%c+%w+%h&lang=Fr"}
${goto 55}${texeci 500 wget --quiet -O - "http://wttr.in/XXXXXX?format=%m+%M&lang=Fr"}
${goto 55}${texeci 500 wget --quiet -O - "http://wttr.in/XXXXXX?format=%p+%P+%o&lang=Fr"}



Rendu de mon conky : 8KlVpuQ.png

Dernière modification par Tawal (07-03-2021 09:05:40)


Comme la science n'est pas infuse, elle se diffuse.

En ligne

#2 07-03-2021 00:21:43

Toulibre
Adhérent(e)
Lieu : Ganges, Cévennes
Distrib. : Debian 10.9
Noyau : Linux 4.19.0-16-amd64
(G)UI : xfce-thunar
Inscription : 10-08-2020
Site Web

Re : [Résolu]Xfce4-weather-plugin ne fonctionne plus (+Palliatif via Conky)

Bonsoir Tawal, sympa ton conky smile

Je n'avais jamais fait attention à ce greffon, effectivement sur ma debian buster c'est la version 0.8.10 et ça ne fonctionnait pas jusqu'à ce que ...
il faut remplacer dans /usr/lib/x86_64-linux-gnu/xfce4/panel/plugins/ le fichier libweather.so par celui-ci
puis c'est tout bon, je viens de le faire à l'instant.
trouvé sur cette discussion tout en bas de la page https://askubuntu.com/questions/1274259 … ed-working

Hors ligne

#3 07-03-2021 09:00:01

Tawal
Membre
Distrib. : Debian 10 Buster
Noyau : Linux 4.19.0-16-amd64
(G)UI : Xfce4
Inscription : 25-02-2021

Re : [Résolu]Xfce4-weather-plugin ne fonctionne plus (+Palliatif via Conky)

Bonjour Toulibre,

merci.gif pour le conky smile

Et surtout MERCI pour la solution, elle fonctionne avec la version native de Debian Buster : la 8.10-1 yes.gif

J'ai lu ton lien et ce que j'en ai compris, c'est un souci de péremption de l'API.
En effet, il fallait bien lire jusqu'au bout car au début, il est question de recompiler le plugin (en installant tous les outils nécessaires).
Donc je garde bien au chaud ce fichier libweather.so.
Il doit, je pense, contenir la nouvelle API fonctionnelle.

Au plaisir.

PS: Sympa ton pseudo et ton avatar big_smile

Comme la science n'est pas infuse, elle se diffuse.

En ligne

#4 07-03-2021 09:30:20

Toulibre
Adhérent(e)
Lieu : Ganges, Cévennes
Distrib. : Debian 10.9
Noyau : Linux 4.19.0-16-amd64
(G)UI : xfce-thunar
Inscription : 10-08-2020
Site Web

Re : [Résolu]Xfce4-weather-plugin ne fonctionne plus (+Palliatif via Conky)

Merci Tawal smile au plaisir

Hors ligne

#5 07-03-2021 10:25:59

zorzi
Membre
Lieu : Dijon
Distrib. : Debian Stable Xfce
Noyau : Linux 4.19
Inscription : 30-09-2015

Re : [Résolu]Xfce4-weather-plugin ne fonctionne plus (+Palliatif via Conky)

Hello à tous,

Merci pour les soluces. Cela fait quelques jours que j'étais en panne de météo aussi, et je n'avais guère eu le temps de m'employer à résoudre le problème.

Desktop: HP Pavilion a6435 (Athlon64 2x 2,6Ghz, Radeon R7-240, Ram 4 Go, DD 500 Go) / Debian Buster XFCE

Hors ligne

Pied de page des forums